Closed Bug 1581884 Opened 2 years ago Closed 2 years ago

Intermittent browser/base/content/test/general/browser_blockHPKP.js | Got a pinning error page - false == true -

Categories

(Firefox :: Security, defect, P5)

defect

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: intermittent-bug-filer, Assigned: prathiksha)

References

(Regression)

Details

(Keywords: intermittent-failure, regression, Whiteboard: [retriggered][stockwell disabled])

Attachments

(2 files, 1 obsolete file)

Filed by: rgurzau [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=267059611&repo=autoland
Full log: https://queue.taskcluster.net/v1/task/BxEtFW_BSDeIpeRVLeq5CQ/runs/0/artifacts/public/logs/live_backing.log


[task 2019-09-17T15:04:11.733Z] 15:04:11 INFO - TEST-START | browser/base/content/test/general/browser_blockHPKP.js
[task 2019-09-17T15:04:12.469Z] 15:04:12 INFO - TEST-INFO | started process screentopng
[task 2019-09-17T15:04:13.067Z] 15:04:13 INFO - TEST-INFO | screentopng: exit 0
[task 2019-09-17T15:04:13.068Z] 15:04:13 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/general/browser_blockHPKP.js | Got a pinning error page - false == true -
[task 2019-09-17T15:04:13.069Z] 15:04:13 INFO - Stack trace:
[task 2019-09-17T15:04:13.070Z] 15:04:13 INFO - resource://testing-common/content-task.js line 62 > eval:null:6
[task 2019-09-17T15:04:13.071Z] 15:04:13 INFO - resource://testing-common/content-task.js:null:63
[task 2019-09-17T15:04:13.124Z] 15:04:13 INFO - TEST-PASS | browser/base/content/test/general/browser_blockHPKP.js | load complete -

Looks like this bug started when Bug 1561443 landed here:
https://hg.mozilla.org/integration/autoland/rev/0cf57171638ca879f73cc902e508166d641db2a3

prathiksha: Can you please take a look at this bug?

Flags: needinfo?(prathikshaprasadsuman)
Regressed by: 1561443
Whiteboard: [retriggered]

(In reply to Dorel Luca [:dluca] from comment #1)

prathiksha: Can you please take a look at this bug?

Taking a look at this now

Flags: needinfo?(prathikshaprasadsuman)
Component: General → Security
Assignee: nobody → prathikshaprasadsuman
Status: NEW → ASSIGNED

There are 66 total failures in the last 7 days.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=268395052&repo=mozilla-central&lineNumber=1932

[task 2019-09-25T16:57:15.588Z] 16:57:15 INFO - TEST-START | browser/base/content/test/general/browser_blockHPKP.js
[task 2019-09-25T16:57:16.199Z] 16:57:16 INFO - TEST-INFO | started process screentopng
[task 2019-09-25T16:57:16.802Z] 16:57:16 INFO - TEST-INFO | screentopng: exit 0
[task 2019-09-25T16:57:16.802Z] 16:57:16 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/general/browser_blockHPKP.js | Got a pinning error page - false == true -
[task 2019-09-25T16:57:16.803Z] 16:57:16 INFO - Stack trace:
[task 2019-09-25T16:57:16.803Z] 16:57:16 INFO - resource://testing-common/content-task.js line 62 > eval:null:6
[task 2019-09-25T16:57:16.803Z] 16:57:16 INFO - resource://testing-common/content-task.js:null:63
[task 2019-09-25T16:57:16.804Z] 16:57:16 INFO - TEST-PASS | browser/base/content/test/general/browser_blockHPKP.js | load complete -
[task 2019-09-25T16:57:16.805Z] 16:57:16 INFO - GECKO(1705) | MEMORY STAT | vsize 3022MB | residentFast 370MB | heapAllocated 159MB
[task 2019-09-25T16:57:16.805Z] 16:57:16 INFO - TEST-OK | browser/base/content/test/general/browser_blockHPKP.js | took 928ms

Prathiksha are there any updates here?

Flags: needinfo?(prathikshaprasadsuman)
Whiteboard: [retriggered] → [retriggered][stockwell needswork:owner]

Hi, any news on this patch?

Flags: needinfo?(jhofmann)
Pushed by rmaries@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/4e0dd8b16ae0
disabled browser_blockHPKP.js on linux64 and win64 asan r=johannh
Keywords: leave-open
Whiteboard: [retriggered][stockwell disable-recommended] → [retriggered][stockwell disabled]

Was disabled for now, let's see if Prathiksha has time to pick this up again eventually :)

Flags: needinfo?(prathikshaprasadsuman)
Flags: needinfo?(jhofmann)

Hi Johann, based on recent failures https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-10-21&endday=2019-10-28&tree=trunk&bug=1581884 can we update the patch to include all windows and mac?

Flags: needinfo?(jhofmann)

Hi Geoff, since Johann hasn't replied, can you please take a look and answer the above?

Flags: needinfo?(gbrown)

Yes, I think we need to update to include all windows and mac (skip-if = true may be appropriate now).

Flags: needinfo?(gbrown)
Pushed by rmaries@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/271bbaa11d21
disable browser_blockHPKP.js on all platforms r=gbrown
Flags: needinfo?(jhofmann)
Attachment #9093607 - Attachment is obsolete: true

This was removed in bug 1630038.

Status: ASSIGNED → RESOLVED
Closed: 2 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.